## zarr 3.1.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W --keep-going
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
	$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from https://www.sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*
	rm -rf $(BUILDDIR)/../api

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zarr.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zarr.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zarr"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zarr"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
zarr (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Add dependency on python3-typer.
    - Drop "Rules-Requires-Root: no", no longer needed.
  * Add the manpage for the CLI tool.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Sep 2025 09:52:54 +0000

=== debian/control ===
Source: zarr
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-botocore <!nocheck>,
               python3-crc32c,
               python3-donfig,
               python3-fsspec,
               python3-hatch-vcs,
               python3-hatchling,
               python3-hypothesis <!nocheck>,
               python3-moto <!nocheck>,
               python3-msgpack <!nodoc>,
               python3-numcodecs,
               python3-numpy,
               python3-numpydoc <!nodoc>,
               python3-packaging,
               python3-pydata-sphinx-theme <!nodoc>,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests <!nocheck>,
               python3-rich <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-autoapi <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
               python3-sphinx-issues <!nodoc>,
               python3-sphinx-reredirects <!nodoc>,
               python3-tomlkit <!nocheck>,
               python3-typing-extensions,
               python3-typer
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/zarr
Vcs-Git: https://salsa.debian.org/science-team/zarr.git
Homepage: https://github.com/zarr-developers/zarr-python
Description: chunked, compressed, N-dimensional arrays for Python
 Zarr is a Python package providing an implementation of compressed,
 chunked, N-dimensional arrays, designed for use in parallel
 computing. Some highlights:
 .
   - Create N-dimensional arrays with any NumPy dtype.
   - Chunk arrays along any dimension.
   - Compress chunks using the fast Blosc meta-compressor or
     alternatively using zlib, BZ2 or LZMA.
   - Store arrays in memory, on disk, inside a Zip file, on S3, ...
   - Read an array concurrently from multiple threads or processes.
   - Write to an array concurrently from multiple threads or processes.
   - Organize arrays into hierarchies via groups.
   - Use filters to preprocess data and improve compression.

Package: python3-zarr
Architecture: all
Depends: python3-crc32c,
         python3-sphinx-copybutton,
         python3-pydata-sphinx-theme,
         ${python3:Depends},
         ${sphinxdoc:Depends},
         ${misc:Depends}
Recommends: python3-aiohttp,
            python3-botocore,
            python3-fsspec,
            python3-requests,
            python3-rich,
            python3-typer
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk
ifneq (,$(filter $(DEB_BUILD_ARCH),s390x))
export PYBUILD_DISABLE=test
endif

export PYBUILD_NAME=zarr
export PYBUILD_TEST_ARGS=\
--hypothesis-profile ci \
-k "not is_empty"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd $(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') && \
	PYTHONPATH=. \
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 \
	sphinx-build -N -E -T -b html $(CURDIR)/docs $(CURDIR)/.pybuild/docs/html
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\.?\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/zarr-developers/zarr-python/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zarr 3.1.5

=== debian/changelog ===
zarr (3.1.5-2) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3, changes: priority.
  * debian/control:
    - Drop Priority: optional, default since dpkg 1.22.13.
    - Add dependency on python3-s3fs.
  * Update dates in d/copyright.
  * Update watch file format version to 5.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 18:33:11 +0000

zarr (3.1.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    - New 0001-No-google-crc32c.patch.
  * Stop buildding docs.
    Now the documentation is built updtream via mkdocs
    and not all the needed packages are available in Debian.
  * Improve d/clean.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 22 Nov 2025 17:45:26 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,10 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Testsuite: autopkgtest-pkg-pybuild
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-sequence-numpy3,
                dh-sequence-python3,
-               dh-sequence-sphinxdoc,
                pybuild-plugin-pyproject,
                python3-aiohttp <!nocheck>,
                python3-all,
@@ -23,25 +21,18 @@
                python3-msgpack <!nodoc>,
                python3-numcodecs,
                python3-numpy,
-               python3-numpydoc <!nodoc>,
+               python3-numpydoc <!nocheck>,
                python3-packaging,
-               python3-pydata-sphinx-theme <!nodoc>,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-xdist <!nocheck>,
+               python3-s3fs <!nocheck>,
                python3-requests <!nocheck>,
                python3-rich <!nocheck>,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-autoapi <!nodoc>,
-               python3-sphinx-autobuild <!nodoc>,
-               python3-sphinx-copybutton <!nodoc>,
-               python3-sphinx-design <!nodoc>,
-               python3-sphinx-issues <!nodoc>,
-               python3-sphinx-reredirects <!nodoc>,
                python3-tomlkit <!nocheck>,
                python3-typing-extensions,
                python3-typer
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/zarr
 Vcs-Git: https://salsa.debian.org/science-team/zarr.git
 Homepage: https://github.com/zarr-developers/zarr-python
@@ -63,10 +54,7 @@
 Package: python3-zarr
 Architecture: all
 Depends: python3-crc32c,
-         python3-sphinx-copybutton,
-         python3-pydata-sphinx-theme,
          ${python3:Depends},
-         ${sphinxdoc:Depends},
          ${misc:Depends}
 Recommends: python3-aiohttp,
             python3-botocore,

=== debian/watch ===
Version: 5

Source: https://github.com/zarr-developers/zarr-python/tags
Matching-Pattern: (?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
PGP-Mode: none
Debian-Version-Mangle: s/\+(debian|dfsg|ds|deb)\.?\d*$//
Upstream-Version-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b|beta|a|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g
Filename-Mangle: s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/
